JSON_ParserStruct Struct Reference

`#include <parser.h>`

## Data Fields

VALUE | Vsource
char * | source
long | len
char * | memo
VALUE | create_id
int | max_nesting
int | current_nesting
int | allow_nan
int | parsing_name
int | symbolize_names
int | quirks_mode
VALUE | object_class
VALUE | array_class
int | create_additions
VALUE | match_string

## Detailed Description

Definition at line 36 of file parser.h.

## Field Documentation

int JSON_ParserStruct::allow_nan

Definition at line 44 of file parser.h.

Referenced by JSON_parse_value().

VALUE JSON_ParserStruct::array_class

Definition at line 49 of file parser.h.

Referenced by JSON_mark(), and JSON_parse_array().

int JSON_ParserStruct::create_additions

Definition at line 50 of file parser.h.

Referenced by JSON_parse_object(), and JSON_parse_string().

VALUE JSON_ParserStruct::create_id

Definition at line 41 of file parser.h.

Referenced by JSON_mark(), and JSON_parse_object().

int JSON_ParserStruct::current_nesting

Definition at line 43 of file parser.h.

Referenced by JSON_parse_array(), JSON_parse_object(), and JSON_parse_value().

long JSON_ParserStruct::len

Definition at line 39 of file parser.h.

VALUE JSON_ParserStruct::match_string

Definition at line 51 of file parser.h.

Referenced by JSON_mark(), and JSON_parse_string().

int JSON_ParserStruct::max_nesting

Definition at line 42 of file parser.h.

Referenced by JSON_parse_array(), and JSON_parse_object().

char* JSON_ParserStruct::memo

Definition at line 40 of file parser.h.

Referenced by JSON_parse_float(), JSON_parse_integer(), and JSON_parse_string().

VALUE JSON_ParserStruct::object_class

Definition at line 48 of file parser.h.

Referenced by JSON_mark(), and JSON_parse_object().

int JSON_ParserStruct::parsing_name

Definition at line 45 of file parser.h.

Referenced by JSON_parse_object(), and JSON_parse_string().

int JSON_ParserStruct::quirks_mode

Definition at line 47 of file parser.h.

Referenced by JSON_parse_value().

char* JSON_ParserStruct::source

Definition at line 38 of file parser.h.

int JSON_ParserStruct::symbolize_names

Definition at line 46 of file parser.h.

Referenced by JSON_parse_string().

VALUE JSON_ParserStruct::Vsource

Definition at line 37 of file parser.h.

Referenced by JSON_mark().

The documentation for this struct was generated from the following file:

- ext/json/parser/parser.h